=== debian/changelog ===
sdltrs (1.2.33-1) unstable; urgency=medium

  * New upstream release

 -- Jens Guenther <Jenz.Guenther@T-Online.de>  Sat, 09 Aug 2025 18:00:33 +0100

sdltrs (1.2.32-1) unstable; urgency=medium

  * New upstream release

 -- Jens Guenther <Jenz.Guenther@T-Online.de>  Sun, 06 Apr 2025 08:39:32 +0100

sdltrs (1.2.31-1) unstable; urgency=medium

  * New upstream release

 -- Jens Guenther <Jenz.Guenther@T-Online.de>  Sun, 24 Nov 2024 13:07:31 +0100

sdltrs (1.2.30-1) unstable; urgency=medium

  * New upstream release

 -- Jens Guenther <Jenz.Guenther@T-Online.de>  Sun, 18 Aug 2024 07:18:30 +0100

sdltrs (1.2.29-1) unstable; urgency=medium

  * New upstream release

 -- Jens Guenther <Jenz.Guenther@T-Online.de>  Sun, 04 Apr 2024 11:17:29 +0100

sdltrs (1.2.28-1) unstable; urgency=medium

  * New upstream release

 -- Jens Guenther <Jenz.Guenther@T-Online.de>  Sat, 19 Aug 2023 10:28:19 +0100

sdltrs (1.2.27-1) unstable; urgency=medium

  * New upstream release

 -- Jens Guenther <Jenz.Guenther@T-Online.de>  Sun, 09 Apr 2023 08:27:07 +0100

sdltrs (1.2.26-1) unstable; urgency=medium

  * New upstream release

 -- Jens Guenther <Jenz.Guenther@T-Online.de>  Sat, 18 Feb 2023 11:05:26 +0100

sdltrs (1.2.25-1) unstable; urgency=medium

  * New upstream release

 -- Jens Guenther <Jenz.Guenther@T-Online.de>  Sun, 18 Dec 2022 09:49:25 +0100

sdltrs (1.2.24-1) unstable; urgency=medium

  * New upstream release

 -- Jens Guenther <Jenz.Guenther@T-Online.de>  Sun, 24 Jul 2022 00:28:33 +0100

sdltrs (1.2.23-1) unstable; urgency=medium

  * New upstream release

 -- Jens Guenther <Jenz.Guenther@T-Online.de>  Sun, 27 Mar 2022 12:23:52 +0100

sdltrs (1.2.22-1) unstable; urgency=medium

  * New upstream release

 -- Jens Guenther <Jenz.Guenther@T-Online.de>  Sun, 06 Feb 2021 08:24:22 +0100

sdltrs (1.2.21-1) unstable; urgency=medium

  * New upstream release

 -- Jens Guenther <Jenz.Guenther@T-Online.de>  Sun, 28 Nov 2021 09:18:45 +0100

sdltrs (1.2.20-1) unstable; urgency=medium

  * New upstream release

 -- Jens Guenther <Jenz.Guenther@T-Online.de>  Sat, 31 Jul 2021 18:20:30 +0100

sdltrs (1.2.19-1) unstable; urgency=medium

  * New upstream release

 -- Jens Guenther <Jenz.Guenther@T-Online.de>  Sun, 06 Jun 2021 09:46:19 +0100

sdltrs (1.2.18-1) unstable; urgency=medium

  * New upstream release

 -- Jens Guenther <Jenz.Guenther@T-Online.de>  Sun, 09 May 2021 10:03:54 +0100

sdltrs (1.2.17-1) unstable; urgency=medium

  * New upstream release

 -- Jens Guenther <Jenz.Guenther@T-Online.de>  Sun, 04 Apr 2021 09:44:28 +0100

sdltrs (1.2.16-1) unstable; urgency=medium

  * New upstream release

 -- Jens Guenther <Jenz.Guenther@T-Online.de>  Sun, 28 Feb 2021 13:23:09 +0100

sdltrs (1.2.15-1) unstable; urgency=medium

  * New upstream release

 -- Jens Guenther <Jenz.Guenther@T-Online.de>  Sun, 24 Jan 2021 12:38:01 +0100

sdltrs (1.2.14-1) unstable; urgency=medium

  * New upstream release

 -- Jens Guenther <Jenz.Guenther@T-Online.de>  Sun, 29 Nov 2020 12:51:14 +0100

sdltrs (1.2.13-1) unstable; urgency=medium

  * New upstream release

 -- Jens Guenther <Jenz.Guenther@T-Online.de>  Sun, 27 Sep 2020 10:16:47 +0100

sdltrs (1.2.12-1) unstable; urgency=medium

  * New upstream release

 -- Jens Guenther <Jenz.Guenther@T-Online.de>  Sun, 16 Aug 2020 07:28:00 +0100

sdltrs (1.2.11-1) unstable; urgency=medium

  * New upstream release

 -- Jens Guenther <Jenz.Guenther@T-Online.de>  Sun, 28 Jun 2020 12:19:36 +0100

sdltrs (1.2.10-1) unstable; urgency=medium

  * New upstream release

 -- Jens Guenther <Jenz.Guenther@T-Online.de>  Sun, 24 May 2020 15:22:15 +0100

sdltrs (1.2.9a-1) unstable; urgency=medium

  * New upstream release

 -- Jens Guenther <Jenz.Guenther@T-Online.de>  Sun, 19 Apr 2020 15:38:19 +0100

sdltrs (1.2.9-1) unstable; urgency=low

  * New upstream release

 -- Jens Guenther <Jenz.Guenther@T-Online.de>  Sun, 12 Apr 2020 11:29:28 +0100

sdltrs (1.2.8-1) unstable; urgency=low

  * New upstream release

 -- Jens Guenther <Jenz.Guenther@T-Online.de>  Sun, 22 Mar 2020 12:06:30 +0100

sdltrs (1.2.7-1) unstable; urgency=low

  * New upstream release

 -- Jens Guenther <Jenz.Guenther@T-Online.de>  Sat, 25 Jan 2020 11:12:24 +0100

sdltrs (1.2.6-1) unstable; urgency=low

  * New upstream release

 -- Jens Guenther <Jenz.Guenther@T-Online.de>  Sun, 29 Dec 2019 13:06:07 +0100

sdltrs (1.2.5-1) unstable; urgency=low

  * New upstream release

 -- Jens Guenther <Jenz.Guenther@T-Online.de>  Sat, 21 Dec 2019 16:01:28 +0100

sdltrs (1.2.4-1) unstable; urgency=low

  * Initial release

 -- Jens Guenther <Jenz.Guenther@T-Online.de>  Sun, 24 Nov 2019 18:22:07 +0100
