=== debian/control ===
Source: sdltrs
Section: contrib/otherosfs
Priority: optional
Maintainer: Jens Guenther <Jenz.Guenther@T-Online.de>
Build-Depends: debhelper(>= 7), libreadline-dev, libsdl1.2-dev
Standards-Version: 3.9.6
Homepage: https://gitlab.com/jengun/sdltrs/

Package: sdltrs
Architecture: any
Depends: ${shlibs:Depends}
Description: TRS-80 Model I/III/4/4P emulator for SDL
 SDLTRS is an SDL-based emulator for the Tandy/Radio Shack line of Zilog
 Z80-based microcomputers popular in the late 1970s and early 1980s.  It
 features cassette, floppy, and hard drive emulation, timer interrupt
 emulation, file import and export from the host operating system, support
 for most of the undocumented Z80 instructions, and a built-in debugger.
 Real floppy drives can be used and application-based sound can be
 played and real cassettes read and written directly through the
 sound card or via WAVE files.  Several Hi-Res graphics cards are
 emulated and, in Model 4/4P mode, mice are supported.  There is also
 real-time clock, sound card, serial port, joystick, and CPU clock
 speedup emulation.
 .
 SDLTRS requires ROM images from the original machines.  The ROMs are
 copyrighted by Radio Shack and are not freely licensed.  (Exception: in
 Model 4P mode, a freely-licensed boot ROM included with this package can be
 used to boot a Model 4 operating system from a diskette image.)
